=== debian/changelog ===
ros-humble-rosidl-generator-py (0.14.4-1bookworm) bookworm; urgency=high

  * Humble: Backport NaN fixes (#188 <https://github.com/ros2/rosidl_python/issues/188>)
  * Contributors: Chris Lalancette

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 07 Nov 2022 16:00:00 -0000

ros-humble-rosidl-generator-py (0.14.3-1bookworm) bookworm; urgency=high

  * Change decode error mode to replace (#176 <https://github.com/ros2/rosidl_python/issues/176>) (#179 <https://github.com/ros2/rosidl_python/issues/179>)
  * Fixing generated import order (backport #173 <https://github.com/ros2/rosidl_python/issues/173>) (#183 <https://github.com/ros2/rosidl_python/issues/183>)
  * Contributors: mergify[bot]

 -- Michel Hidalgo <michel@ekumenlabs.com>  Sun, 06 Nov 2022 16:00:00 -0000

ros-humble-rosidl-generator-py (0.14.2-1bookworm) bookworm; urgency=high

  * Removes erroneous unmatched closing parenthesis (#125 <https://github.com/ros2/rosidl_python/issues/125>)
  * require Python 3.6 as we use format strings in various places (#152 <https://github.com/ros2/rosidl_python/issues/152>)
  * Contributors: Charles Cross, William Woodall

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 28 Feb 2022 16:00:00 -0000

ros-humble-rosidl-generator-py (0.14.1-1bookworm) bookworm; urgency=high

  * Fix rosidl_generator_py assuming incorect library names (#149 <https://github.com/ros2/rosidl_python/issues/149>)
  * Fix for msg file containing a property field that is not at the end (#151 <https://github.com/ros2/rosidl_python/issues/151>)
  * Update package maintainers (#147 <https://github.com/ros2/rosidl_python/issues/147>)
  * Contributors: Chen Lihui, Michel Hidalgo, Shane Loretz

 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 12 Jan 2022 16:00:00 -0000

ros-humble-rosidl-generator-py (0.14.0-1bookworm) bookworm; urgency=high

  * Use rosidl_get_typesupport_target() (#139 <https://github.com/ros2/rosidl_python/issues/139>)
  * Contributors: Shane Loretz

 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 10 Aug 2021 16:00:00 -0000

ros-humble-rosidl-generator-py (0.13.0-1bookworm) bookworm; urgency=high

  * Support available typesupport specification in CLI extension (#133 <https://github.com/ros2/rosidl_python/issues/133>)
  * Use python_d for test_cli_extension in Debug mode (#136 <https://github.com/ros2/rosidl_python/issues/136>)
  * Add missing float/double bounds check (#128 <https://github.com/ros2/rosidl_python/issues/128>)
  * Contributors: Michel Hidalgo, Seulbae Kim, Shane Loretz

 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 15 Jul 2021 16:00:00 -0000

ros-humble-rosidl-generator-py (0.12.0-1bookworm) bookworm; urgency=high

  * Added optimization for copying arrays using buffer protocol (#129 <https://github.com/ros2/rosidl_python/issues/129>)
  * Add smoke test for CLI extension (#132 <https://github.com/ros2/rosidl_python/issues/132>)
  * Install generated Python interfaces in a Python package (#131 <https://github.com/ros2/rosidl_python/issues/131>)
  * Contributors: Michel Hidalgo, ksuszka

 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 10 Jun 2021 16:00:00 -0000

ros-humble-rosidl-generator-py (0.11.0-1bookworm) bookworm; urgency=high

  * Remove dependency from rosidl_typesupport_connext_c (#127 <https://github.com/ros2/rosidl_python/issues/127>)
  * Contributors: Andrea Sorbini

 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 24 Mar 2021 16:00:00 -0000

ros-humble-rosidl-generator-py (0.10.0-1bookworm) bookworm; urgency=high

  * Expose Python code generation via rosidl generate CLI (#123 <https://github.com/ros2/rosidl_python/issues/123>)
  * remove maintainer (#126 <https://github.com/ros2/rosidl_python/issues/126>)
  * Contributors: Claire Wang, Michel Hidalgo

 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 18 Mar 2021 16:00:00 -0000

ros-humble-rosidl-generator-py (0.9.4-1bookworm) bookworm; urgency=high

  * Update maintainers (#119 <https://github.com/ros2/rosidl_python/issues/119>)
  * Fix too early decref of WString when converting from Python to C (#117 <https://github.com/ros2/rosidl_python/issues/117>)
  * Add pytest.ini so tests succeed locally. (#116 <https://github.com/ros2/rosidl_python/issues/116>)
  * Contributors: Chris Lalancette, Claire Wang, Dirk Thomas

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 07 Dec 2020 16:00:00 -0000

ros-humble-rosidl-generator-py (0.9.3-1bookworm) bookworm; urgency=high

  * Add test_depend on rpyutils (#115 <https://github.com/ros2/rosidl_python/issues/115>)
  * Contributors: Jacob Perron

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 18 May 2020 16:00:00 -0000

ros-humble-rosidl-generator-py (0.9.2-1bookworm) bookworm; urgency=high

  * Explicitly add DLL directories for Windows before importing (#113 <https://github.com/ros2/rosidl_python/issues/113>)
  * Force extension points to be registered in order (#112 <https://github.com/ros2/rosidl_python/issues/112>)
  * Contributors: Ivan Santiago Paunovic, Jacob Perron

 -- Michel Hidalgo <michel@ekumenlabs.com>  Sun, 17 May 2020 16:00:00 -0000

ros-humble-rosidl-generator-py (0.9.1-1bookworm) bookworm; urgency=high

  * Add test dependency on rosidl_typesupport_c_packages (#110 <https://github.com/ros2/rosidl_python/issues/110>)
  * Contributors: Jacob Perron

 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 28 Apr 2020 16:00:00 -0000

ros-humble-rosidl-generator-py (0.9.0-1bookworm) bookworm; urgency=high

  * Ensure the Python support target links against the C generator target (#108 <https://github.com/ros2/rosidl_python/issues/108>)
  * Skip inoperable typesupport implementations (#107 <https://github.com/ros2/rosidl_python/issues/107>)
  * Update includes to use non-entry point headers from detail subdirectory (#105 <https://github.com/ros2/rosidl_python/issues/105>)
  * Rename rosidl_generator_c namespace to rosidl_runtime_c (#103 <https://github.com/ros2/rosidl_python/issues/103>)

