=== debian/control ===
Source: ros-humble-rosidl-generator-py
Section: misc
Priority: optional
Maintainer: Michel Hidalgo <michel@ekumenlabs.com>
Build-Depends: debhelper (>= 9.0.0), python3-numpy <!nocheck>, python3-pytest <!nocheck>, ros-humble-ament-cmake, ros-humble-ament-cmake-pytest <!nocheck>, ros-humble-ament-index-python <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-python-cmake-module <!nocheck>, ros-humble-rmw <!nocheck>, ros-humble-rosidl-cmake <!nocheck>, ros-humble-rosidl-generator-c <!nocheck>, ros-humble-rosidl-generator-cpp <!nocheck>, ros-humble-rosidl-parser <!nocheck>, ros-humble-rosidl-runtime-c, ros-humble-rosidl-typesupport-c <!nocheck>, ros-humble-rosidl-typesupport-fastrtps-c <!nocheck>, ros-humble-rosidl-typesupport-introspection-c <!nocheck>, ros-humble-rpyutils <!nocheck>, ros-humble-test-interface-files <!nocheck>, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-rosidl-generator-py
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-numpy, ros-humble-ament-cmake, ros-humble-ament-index-python, ros-humble-python-cmake-module, ros-humble-rmw, ros-humble-rosidl-cli, ros-humble-rosidl-cmake, ros-humble-rosidl-generator-c, ros-humble-rosidl-parser, ros-humble-rosidl-runtime-c, ros-humble-rosidl-typesupport-c, ros-humble-rosidl-typesupport-interface, ros-humble-rpyutils, ros-humble-ros-workspace
Description: Generate the ROS interfaces in Python.
